import fetch from './fetch'
import { api } from './config.js'
import http from './httpUtil'
import storage from '@/framework/utils/storage'

//系统集成统计条形图
export function getIntegrateStatisticsToBar(param, success) {
    let url = `/pointconfig/report/point-statis    `
    http.postJson(url, param, success)
}

//系统集成统计环形图
export function getIntegrateStatisticsToLoop(param, success) {
    let url = `/pointconfig/report/meterfunc-statis`
    http.postJson(url, param, success)
}

//表号功能号总览
export function getTabFunNumOverview(param, success) {
    let url = `/pointconfig/report/meterfunc-overview`
    http.postJson(url, param, success)
}

//表号功能号对应历史数据
export function getHistoryData(query, param, success) {
    let url = `/data-platform-3/hisdata/batch_query_period_data_by_metfun`
    let ProjectId = storage.get("global_project_selected")
    url += `?projectId=${ProjectId}`
    for (let key in query) {
        url += `&${key}=${query[key]}`
    }
    http.postJson(url, param, success)
}

//获取表号功能号的源数据
export function getTabFunNumSourceData(param, success) {
    let url = `/pointconfig/report/query-point`
    http.postJson(url, param, success)
}

//获取表号功能号对应的对象实例
export function getTabFunNumObjInstance(param, success) {
    let url = `/pointconfig/report/query-instance`
    http.postJson(url, param, success)
}

//添加表号功能号
export function addTabFunNum(param, success) {
    let url = `/pointconfig/report/custom-meter-func`
    http.postJson(url, param, success)
}

//表号功能号对应总览
export function tableFuncRelatedOverview(param, success) {
    let url = `/pointconfig/report/meter-related`
    http.postJson(url, param, success)
}